package cn.iocoder.yudao.module.system.enums.robot;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 车辆分页的状态
 */
@Getter
@AllArgsConstructor
public enum RobotInformationPageStatusEnum {
    STANDBY(0),//待命
    INTASK(1),//任务中
    DOLOCK(2),//锁定
    OFFLINE(3),//离线
    CHARGE(4),//充电中
    FAULT(5);//故障

    /**
     * 类型
     */
    private final Integer type;
}
